Skip to main content

Type Maps Display

Description

Notification about a MAPS_DISPLAY event.

MAPS_DISPLAY notifications are published after a processing window of 24–48 hours from submission. In some cases, this window may be extended. See FAQs.

To prevent notification spam, MAPS_DISPLAY notifications are subject to volume thresholds per brand. If the following thresholds are exceeded, notifications will require manual review by Business Connect before being published:

Brand SizeThreshold
Fewer than 100 locationsMore than 10 notifications per field
100 or more locationsBrand has more than 100 locations, and the number of notifications per field exceeds 10% of the total number of locations. For example, 200 locations → threshold = 20 → suppression triggered at >20
note

For Agencies managing un-delegated locations, all locations are used to calculate the threshold.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsetag
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED
resourceDetailsstate
REQUIRED
resourceDetailsbrandId
CONDITIONAL

Brand ID

brandId (string) is provided when $.locationDetails.brandId is present.

Example Response Bodies

Brand

When a brand's locations are expected to display the brand's primary display name the following notification is generated.

Notification ForProcess Initiated by
Location ownerSystem
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654525",
"createdDate": "2026-02-22T17:22:19.00Z",
"type": "MAPS_DISPLAY",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654591",
"resourceDetails": {
"resourceType": "BRAND",
"resourceId": "9467895078742654937",
"etag": "d6278c74-de63-11ef-9cd2-0242ac120002",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-01-14;resourceType=in=(BRAND,LOCATION)&limit=1&after=8U54a61d9b495324"
}
}
Location

When a decision is taken to display a different name for a location the following notification is generated.

Notification ForProcess Initiated by
Location ownerSystem
{
"data": [
{
"companyId": "9467895078742654934",
"id": "9467895078742654525",
"createdDate": "2026-02-22T17:22:19.000Z",
"type": "MAPS_DISPLAY",
"feedbackUrl": "/api/v1/companies/9467895078742654934/feedback?ql=id==9467895078742654591",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654509",
"etag": "f114c30e-7e7d-11ee-b962-0242ac120002",
"state": "PUBLISHED"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495342"
},
"next": "/v1/companies/9467895078742654934/notifications?ql=createdDate=ge=2026-01-14;resourceType=in=(BRAND,LOCATION)&limit=1&after=8U54a61d9b495342"
}
}